Admiral
Credentials

List credentials

GET
/v1/credentials

Scope: credential:read

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...

In: header

Query Parameters

filter?filter

Reserved for a filter expression; nothing reads it yet.

Lengthlength <= 1024
page_size?page_size

The page_size query parameter.

Formatint32
Range0 <= value <= 100
page_token?page_token

The page_token query parameter.

type?type

Only credentials of this type, when set.

Value in

  • "CREDENTIAL_TYPE_UNSPECIFIED"
  • "CREDENTIAL_TYPE_SSH_KEY"
  • "CREDENTIAL_TYPE_BASIC_AUTH"
  • "CREDENTIAL_TYPE_BEARER_TOKEN"
  • "CREDENTIAL_TYPE_GITHUB_APP"

Response Body

application/json

curl -X GET "https://example.com/v1/credentials"
{  "credentials": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "type": "CREDENTIAL_TYPE_UNSPECIFIED",      "auth_config": {        "basic_auth": {          "username": "string",          "password": "string"        }      },      "labels": {        "property1": "string",        "property2": "string"      },      "created_by": {        "id": "string",        "display_name": "string",        "email": "string"      },      "created_at": "2023-01-15T01:30:15.01Z",      "updated_at": "2023-01-15T01:30:15.01Z",      "allowed_hosts": [        "string"      ]    }  ],  "next_page_token": "string"}